Other OS

Does anyone have a working OpenWRT .img file for the banana pi m1?

9 4254
rc2904  
Im new to the banana pi.   I just got an M1 but may switch to the R1 so I figured I would check out OpenWRT on mine first. Ive tried a few images but cannot seem to get them to work for the M1. Does anyone have a working img file I could download?
SanDM  
Hi!
I'm also looking for an openWRT image that works on Banana Pi M1.
Any help please?
Thanks!

mjsmith  
Just compiled an image from the main dev trunk. Going to put it on the sdcard and see if it works. If it does I'll find a place to upload it for you guys.

For anyone wanting to do the same on their own you can follow this: http://wiki.openwrt.org/doc/hard ... nstallation_process

mjsmith  
First build worked but didn't have LuCI (or package listing for it even) so I tried again and baked it as well as a few other things in (qos, openvpn, upnp).

Image can be found here: https://drive.google.com/a/sonom ... WhSR3M4NVF3b2c/view

After dd'ing to an sdcard follow the steps at http://wiki.openwrt.org/doc/howto/firstlogin and good luck.

If someone wants a custom build with some feature that they can't find with opkg leave a request and I might be able to do it.

gotschi  
mjsmith replied at Mon Jul 27, 2015 16:36
First build worked but didn't have LuCI (or package listing for it even) so I tried again and baked  ...

Thanks for this image!

But I have the following error when trying to get a RT3070 USB Wifi to work:

Collected errors: * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-rt2800-usb: *         kernel (= 3.18.19-1-fea53c73a2fb66e00e434216bdfc7200) *         kernel (= 3.18.19-1-fea53c73a2fb66e00e434216bdfc7200) *  * opkg_install_cmd: Cannot install package kmod-rt2800-usb.

What is going on?

mjsmith  
gotschi replied at Wed Jul 29, 2015 08:46
Thanks for this image!

But I have the following error when trying to get a RT3070 USB Wifi to wor ...

Not sure as I'm having the problem with my usb ethernet (using kmod-usb-net-asix). I'm going to try to build the driver into the kernel. I'm pretty sure this image doesn't have any usb wifi support so I'll try to build an image with that.

mjsmith  
Edited by mjsmith at Wed Jul 29, 2015 13:49

New plan of attack: I'm going to build an image from 14.07 branch (Barrier Breaker) instead of trunk. This should allow for binary kmod packages to work.

*edit* scratch that. There is no Allwinner build target on the 14.07 branch so we are stuck with the development tree which probably means any package depending on a specific kernel version will not work. I might just build a pretty monolithic kernel with modules for everything but that will take some time.

mjsmith  
Here's a build with all modules (hopefully). I have not tested it.

https://drive.google.com/a/sonoma.edu/file/d/0B32x0kSmMMFmbkRnclNaOFl4UmM/view

gotschi  
Edited by gotschi at Thu Jul 30, 2015 10:25

I still get:

  1. Installing kmod-rt2800-usb (3.18.19+2015-07-21-1) to root...
  2. Downloading http://downloads.openwrt.org/snapshots/trunk/sunxi/generic/packages/base/kmod-rt2800-usb_3.18.19+2015-07-21-1_sunxi.ipk.
  3. Collected errors:
  4. * satisfy_dependencies_for: Cannot satisfy the following dependencies for kmod-rt2800-usb:
  5. *         kernel (= 3.18.19-1-57f59f90041e99a38cb2011c3f2b5e87) *         kernel (= 3.18.19-1-57f59f90041e99a38cb2011c3f2b5e87) *         kernel (= 3.18.19-1-57f59f90041e99a38cb2011c3f2b5e87) *         kernel (= 3.18.19-1-57f59f90041e99a38cb2011c3f2b5e87) *         kernel (= 3.18.19-1-57f59f90041e99a38cb2011c3f2b5e87) *         kernel (= 3.18.19-1-57f59f90041e99a38cb2011c3f2b5e87) *         kernel (= 3.18.19-1-57f59f90041e99a38cb2011c3f2b5e87) *         kernel (= 3.18.19-1-57f59f90041e99a38cb2011c3f2b5e87) *
  6. * opkg_install_cmd: Cannot install package kmod-rt2800-usb.
Copy the Code


But thanks for the effort! Really nice!

EDIT: --force-depends went through, although with the same errors.
wlan0/phy0 got detected, trying now...

Edit 2: my RT3070 works thank you very much!

mjsmith  
Glad to hear it. Got my bpi router working as well

You have to log in before you can reply Login | Sign Up

Points Rules